Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.maryanovsky.gwtutils.client.ui
Interface ImageBordersPanel.BorderImages

Enclosing class:
  ImageBordersPanel

    public static interface ImageBordersPanel.BorderImages

The interface specifying the images. Note that the top and bottom images must be bundled in such a manner that they can be tiled horizontally, and the left and right images, vertically. If you implement the interface through GWT's standard resource bundling mechanism, you can achieve that by annotating the image resource method with, for example, `@ImageOptions(repeatStyle = RepeatStyle.Horizontal)`.

Method Summary
`ImageResource` | `bottom()`
`ImageResource` | `bottomLeft()`
`ImageResource` | `bottomRight()`
`ImageResource` | `cornerBottomLeft()`
`ImageResource` | `cornerBottomRight()`
`ImageResource` | `cornerTopLeft()`
`ImageResource` | `cornerTopRight()`
`ImageResource` | `left()`
`ImageResource` | `leftBottom()`
`ImageResource` | `leftTop()`
`ImageResource` | `right()`
`ImageResource` | `rightBottom()`
`ImageResource` | `rightTop()`
`ImageResource` | `top()`
`ImageResource` | `topLeft()`
`ImageResource` | `topRight()`

Method Detail

### cornerTopLeft

    ImageResource cornerTopLeft()

### cornerTopRight

    ImageResource cornerTopRight()

### cornerBottomRight

    ImageResource cornerBottomRight()

### cornerBottomLeft

    ImageResource cornerBottomLeft()

### topLeft

    ImageResource topLeft()

### top

    ImageResource top()

### topRight

    ImageResource topRight()

### rightTop

    ImageResource rightTop()

### right

    ImageResource right()

### rightBottom

    ImageResource rightBottom()

### bottomRight

    ImageResource bottomRight()

### bottom

    ImageResource bottom()

### bottomLeft

    ImageResource bottomLeft()

### leftBottom

    ImageResource leftBottom()

### left

    ImageResource left()

### leftTop

    ImageResource leftTop()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD